%global momorel 1
%global svn_date 20080214

%global use_svn 0
%global real_name compiz-plugins-main
%global src_name plugins-main
%global compiz_ver 0.8.4

Summary: Compiz Fusion plugin packge for Alternate OpenGL window and compositing manager
Name: compiz-fusion-plugins-main
Version: 0.9.2.1
%if %{use_svn}
Release: 0.%{svn_date}.%{momorel}m%{?dist}
%else
Release: %{momorel}m%{?dist}
%endif
License: GPLv2+
Group: User Interface/Desktops
URL: http://www.compiz-fusion.org/
%if %{use_svn}
Source: %{real_name}-%{version}-%{svn_date}.tar.bz2
%else
Source0: http://releases.compiz.org/%{version}/%{real_name}-%{version}.tar.bz2 
NoSource: 0
%endif
Patch0: %{name}-0.7.8-fix-expo.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: compiz-core >= %{version}
BuildRequires: compiz-core >= %{version}
BuildRequires: compiz-bcop >= %{compiz_ver}
BuildRequires: boost-devel
BuildRequires: libjpeg-devel >= 8a

%description
Compiz is an OpenGL compositing manager that use GLX_EXT_texture_from_pixmap
for binding redirected top-level windows to texture objects. It has a flexible
plug-in system and it is designed to run well on most graphics hardware.

%package kde
Summary: Compiz Fusion plugin packge for KDE
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}

%description kde
This package contains compiz fusion main plugin for KDE.

%package devel
Summary: Header files and development libraries from compiz-fusion-plugins-main
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Libraries and includes files for developing programs based on compiz-fusion-plugins-main.

%prep
%if %{use_svn}
%setup -q -n %{real_name}
%else
%setup -q -n %{real_name}-%{version}
#%setup -q -n %{src_name}
%endif

%build

%if %{use_svn}
./autogen.sh
make distclean
%endif

mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake -DCOMPIZ_DESTDIR=%{buildroot} \
       ..
popd

make -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install -C %{_target_platform}

# move gconf-schemes to /etc
mkdir -p %{buildroot}%{_sysconfdir}
mv %{buildroot}%{_datadir}/gconf %{buildroot}%{_sysconfdir}/

# clean up
rm -f %{buildroot}/%{_libdir}/compiz/*.{la,a}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

# %%post
# %%{_bindir}/gconftool-2 --shutdown
# export GCONF_CONFIG_SOURCE=`/usr/bin/gconftool-2 --get-default-source`
# %%{_bindir}/gconftool-2 --makefile-install-rule \
#                 %%{_sysconfdir}/gconf/schemas/compiz-*.schemas > /dev/null

# %preun
# export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
# %%{_bindir}/gconftool-2 --makefile-uninstall-rule \
#                 %%{_sysconfdir}/gconf/schemas/compiz-*.schemas > /dev/null

%files
%defattr(-,root,root)
%{_sysconfdir}/gconf/schemas/compiz-*.schemas
%{_libdir}/compiz/libanimation.so
%{_libdir}/compiz/libcolorfilter.so
%{_libdir}/compiz/libexpo.so
%{_libdir}/compiz/libezoom.so
%{_libdir}/compiz/libimgjpeg.so
%{_libdir}/compiz/libmag.so
%{_libdir}/compiz/libmousepoll.so
%{_libdir}/compiz/libneg.so
%{_libdir}/compiz/libopacify.so
%{_libdir}/compiz/libput.so
%{_libdir}/compiz/libresizeinfo.so
%{_libdir}/compiz/libring.so
%{_libdir}/compiz/libscaleaddon.so
%{_libdir}/compiz/libsession.so
%{_libdir}/compiz/libshift.so
%{_libdir}/compiz/libsnap.so
%{_libdir}/compiz/libstaticswitcher.so
%{_libdir}/compiz/libtext.so
%{_libdir}/compiz/libthumbnail.so
%{_libdir}/compiz/libtitleinfo.so
%{_libdir}/compiz/libvpswitch.so
%{_libdir}/compiz/libwall.so
%{_libdir}/compiz/libwinrules.so
%{_libdir}/compiz/libworkarounds.so
%{_datadir}/compiz/*
# %%{_datadir}/compiz/filters/*
# %%{_datadir}/locale/*/LC_MESSAGES/*.mo

%files kde
%defattr(-,root,root)
%{_libdir}/compiz/libkdecompat.so

%files devel
%defattr(-,root,root)
%{_includedir}/compiz/*
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Nov  9 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.2.1-1m)
- update 0.9.2.1

* Wed Nov  3 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.2-2m)
- rebuild against boost-1.44.0

* Tue Oct 26 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.2-1m)
- update 0.9.2

* Sun Sep  5 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.0-5m)
- add a package kde
- remove mixed tabs and spaces

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.0-4m)
- full rebuild for mo7 release

* Sun Aug  1 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.0-3m)
- update description

* Tue Jul  6 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.0-2m)
- use %%cmake macro

* Sun Jul  4 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.0-1m)
- update 0.9.0

* Wed Apr 21 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.6-1m)
- update 0.8.6

* Sat Apr 10 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.4-3m)
- rebuild against libjpeg-8a

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.4-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue Oct 20 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.8.4-1m)
- update 0.8.4

* Thu Sep  3 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.8.2-3m)
- rebuild against libjpeg-7

* Sun Jul  5 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.2-2m)
- add devel package

* Mon Apr  6 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.8.2-1m)
- update 0.8.2

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.8-3m)
- rebuild against rpm-4.6

* Tue Dec  9 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.8-2m)
- [SECURITY] CVE-2008-6514
- apply Patch0

* Sun Oct 12 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.7.8-1m)
- update 0.7.8

* Sun Jun  1 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.6-1m)
- update 0.7.6

* Sun Apr  6 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.4-1m)
- update 0.7.4

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.2-2m)
- rebuild against gcc43

* Fri Mar  7 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.2-1m)
- update 0.7.2

* Sat Feb 16 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.99-0.20080214.1m)
- update 0.6.99-20080214

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.0-2m)
- %%NoSource -> NoSource

* Sun Oct 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.0-1m)
- update 0.6.0-release

* Fri Oct 19 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.0-0.1m)
- update 0.6.0-test

* Wed Aug 15 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.2-1m)
- update 0.5.2

* Wed Aug  1 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070801.1m)
- update 20070801
-- merged japanese translation

* Tue Jul 31 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070729.2m)
- add Japanese Translation

* Sun Jul 29 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070729.1m)
- update 20070729

* Tue Jul 17 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070717.1m)
- update 20070717

* Fri Jul  6 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070706.1m)
- update 20070706

* Sat Jun 30 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070630.1m)
- update 20070630

* Thu Jun 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070621.1m)
- update 20070621

* Sat Jun 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070616.1m)
- update 20070616

* Tue Jun 12 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070612.1m)
- update 20070612

* Sun Jun  3 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070603.1m)
- update 20070603

* Fri May 25 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070524.1m)
- update 20070524

* Sat May 19 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070518.2m)
- install schemas

* Sat May 19 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070518.1m)
- initial commit

